package com.steering.mes.mcp.entity;
/**
 * 数据库表HTT_ENTRUST_PROJECT所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2019-05-13
 */
@SuppressWarnings("serial")
public class HttEntrustProjectEntity implements java.io.Serializable {
    /**
     * 项目代码
     */
    private String projectCode = "";
    /**
     * 项目名称
     */
    private String projectName = "";
    /**
     * 00- 未结算   10- 结算  20- 作废
     */
    private String projectStatus = "";
    /**
     * 项目备注
     */
    private String projectMemo = "";
    /**
     * 0-申请项目  1-制造部增加项目  2-制造部剔除项目  3-制造部调整项目
     */
    private String projectFlag = "";
    /**
     * 委外单号
     */
    private String subcontractNo = "";
    /**
     * 委外单号序号
     */
    private String subcontractNoSeq = "";
    /**
     * 委托类型 0-正常委托 1-异常委托
     */
    private String projectType = "";
    /**
     * 修改后  原始数据
     */
    private String projectMemoOrgin = "";
    /**
     * 修改后   原始数据
     */
    private String projectTypeOrgin = "";
    /**
     * 付费方代码
     */
    private String payDepartmentCode = "";
    /**
     * 付费方
     */
    private String payDepartmentName = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 结算单价
     */
    private String balPrice = "";
    /**
     * 结算总价
     */
    private String balPriceTotal = "";

    /**
     * 项目代码
     * @return value
     */
    public String getProjectCode() {
        return projectCode;
    }

    /**
     * 项目代码
     * @param projectCode value
     */
    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    /**
     * 项目名称
     * @return value
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 项目名称
     * @param projectName value
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /**
     * 00- 未结算   10- 结算  20- 作废
     * @return value
     */
    public String getProjectStatus() {
        return projectStatus;
    }

    /**
     * 00- 未结算   10- 结算  20- 作废
     * @param projectStatus value
     */
    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }

    /**
     * 项目备注
     * @return value
     */
    public String getProjectMemo() {
        return projectMemo;
    }

    /**
     * 项目备注
     * @param projectMemo value
     */
    public void setProjectMemo(String projectMemo) {
        this.projectMemo = projectMemo;
    }

    /**
     * 0-申请项目  1-制造部增加项目  2-制造部剔除项目  3-制造部调整项目
     * @return value
     */
    public String getProjectFlag() {
        return projectFlag;
    }

    /**
     * 0-申请项目  1-制造部增加项目  2-制造部剔除项目  3-制造部调整项目
     * @param projectFlag value
     */
    public void setProjectFlag(String projectFlag) {
        this.projectFlag = projectFlag;
    }

    /**
     * 委外单号
     * @return value
     */
    public String getSubcontractNo() {
        return subcontractNo;
    }

    /**
     * 委外单号
     * @param subcontractNo value
     */
    public void setSubcontractNo(String subcontractNo) {
        this.subcontractNo = subcontractNo;
    }

    /**
     * 委外单号序号
     * @return value
     */
    public String getSubcontractNoSeq() {
        return subcontractNoSeq;
    }

    /**
     * 委外单号序号
     * @param subcontractNoSeq value
     */
    public void setSubcontractNoSeq(String subcontractNoSeq) {
        this.subcontractNoSeq = subcontractNoSeq;
    }

    /**
     * 委托类型 0-正常委托 1-异常委托
     * @return value
     */
    public String getProjectType() {
        return projectType;
    }

    /**
     * 委托类型 0-正常委托 1-异常委托
     * @param projectType value
     */
    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    /**
     * 修改后  原始数据
     * @return value
     */
    public String getProjectMemoOrgin() {
        return projectMemoOrgin;
    }

    /**
     * 修改后  原始数据
     * @param projectMemoOrgin value
     */
    public void setProjectMemoOrgin(String projectMemoOrgin) {
        this.projectMemoOrgin = projectMemoOrgin;
    }

    /**
     * 修改后   原始数据
     * @return value
     */
    public String getProjectTypeOrgin() {
        return projectTypeOrgin;
    }

    /**
     * 修改后   原始数据
     * @param projectTypeOrgin value
     */
    public void setProjectTypeOrgin(String projectTypeOrgin) {
        this.projectTypeOrgin = projectTypeOrgin;
    }

    /**
     * 付费方代码
     * @return value
     */
    public String getPayDepartmentCode() {
        return payDepartmentCode;
    }

    /**
     * 付费方代码
     * @param payDepartmentCode value
     */
    public void setPayDepartmentCode(String payDepartmentCode) {
        this.payDepartmentCode = payDepartmentCode;
    }

    /**
     * 付费方
     * @return value
     */
    public String getPayDepartmentName() {
        return payDepartmentName;
    }

    /**
     * 付费方
     * @param payDepartmentName value
     */
    public void setPayDepartmentName(String payDepartmentName) {
        this.payDepartmentName = payDepartmentName;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 结算单价
     * @return value
     */
    public String getBalPrice() {
        return balPrice;
    }

    /**
     * 结算单价
     * @param balPrice value
     */
    public void setBalPrice(String balPrice) {
        this.balPrice = balPrice;
    }

    /**
     * 结算总价
     * @return value
     */
    public String getBalPriceTotal() {
        return balPriceTotal;
    }

    /**
     * 结算总价
     * @param balPriceTotal value
     */
    public void setBalPriceTotal(String balPriceTotal) {
        this.balPriceTotal = balPriceTotal;
    }
}